#pragma once

#include <string>
#include "Iterator.h"

/**
    无向图定义
*/
template<typename T,typename V>
class Graph {
	explicit Graph(int v);
	// 定点数
	int V() const
	{
		return mV;
	}
	// 边数
	int E() const;
	{
		return mE;
	}

	void addEdage(int v, int w)
	{

	}

	Iterator<T> adj(V v);
	std::string toString();
private:
	int mV; // 顶点数目
	int mE; // 边的数目
};
